org.jbpm.process.workitem.core.util

## Annotation Type Wid

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
       @Documented
      public @interface Wid

  Defines an annotated class that is of type Wid. Used for WorkItemHandler implmenentations to define values for the handlers workitem configuration. Can be used to auto-generate the handlers workitem configuration (.wid) file.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `category`
    `String` | `defaultHandler`
    `String` | `description`
    `String` | `displayName`
    `String` | `documentation`
    `String` | `icon`
    `WidMavenDepends[]` | `mavenDepends`
    `String` | `name`
    `WidParameter[]` | `parameters`
    `WidParameterValues[]` | `parameterValues`
    `WidResult[]` | `results`
    `WidService` | `serviceInfo`
    `String` | `widfile`

- - ### Element Detail

    - #### widfile

          public abstract String widfile

      Default:
        ""

  - - #### name

          public abstract String name

      Default:
        ""

  - - #### displayName

          public abstract String displayName

      Default:
        ""

  - - #### category

          public abstract String category

      Default:
        ""

  - - #### icon

          public abstract String icon

      Default:
        ""

  - - #### description

          public abstract String description

      Default:
        ""

  - - #### defaultHandler

          public abstract String defaultHandler

      Default:
        ""

  - - #### documentation

          public abstract String documentation

      Default:
        ""

  - - #### parameters

          public abstract WidParameter[] parameters

      Default:
        {}

  - - #### parameterValues

          public abstract WidParameterValues[] parameterValues

      Default:
        {}

  - - #### results

          public abstract WidResult[] results

      Default:
        {}

  - - #### mavenDepends

          public abstract WidMavenDepends[] mavenDepends

      Default:
        {}

  - - #### serviceInfo

          public abstract WidService serviceInfo

      Default:
        @org.jbpm.process.workitem.core.util.service.WidService

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.